Bug 439845 - F9beta - i810ModuleData data object
Summary: F9beta - i810ModuleData data object
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810   
(Show other bugs)
Version: rawhide
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-03-31 18:20 UTC by Pat Kane
Modified: 2008-04-01 19:45 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-01 19:45:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Pat Kane 2008-03-31 18:20:57 UTC
Description of problem:

When I try to start Fedora 9beta X on my old Dell laptop
I get the following error:
  (EE) LoadModule: Module i810 does not have a i810ModuleData data object.
  (EE) Failed to load module "i810" (invalid module, 0)
  (EE) No drivers available.
 

Version-Release number of selected component (if applicable):
X.Org X Server 1.4.99.901 (1.5.0 RC 1)
Release Date: 5 September 2007
X Protocol Version 11, Revision 0
Build Operating System: Linux 2.6.18-53.1.6.el5xen i686
Current Operating System: Linux localhost.localdomain 2.6.25-0.121.rc5.git4.fc9
#1 SMP Fri Mar 14 23:14:20 EDT 2008 i686
Build Date: 18 March 2008  03:32:06PM
Build ID: xorg-x11-server 1.4.99.901-10.20080314.fc9


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:

Additional info:
 ls -l /usr/lib/xorg/modules/drivers/i810_drv.so
 lrwxrwxrwx 1 root root 12 2008-03-31 11:47 
/usr/lib/xorg/modules/drivers/i810_drv.so -> intel_drv.so
strings /usr/lib/xorg/modules/drivers/intel_drv.so
__gmon_start__
_init
_fini
__cxa_finalize
_Jv_RegisterClasses
open
read
strstr
close
LoadSubModule
xf86ConfigLayout
xf86ProcessOptions
xf86GetOptValBool
intelModuleData
libpixman-1.so.0
libc.so.6
__stack_chk_fail
_edata
__bss_start
_end
GLIBC_2.1.3
GLIBC_2.4
GLIBC_2.0
/proc/cmdline
i915.modeset=1
intel_batchbuffer
intel_master
intel-batchbuffer
intel
X.Org Foundation
X.Org Video Driver

Comment 1 Adam Jackson 2008-04-01 19:45:14 UTC
Fixed in 2.2.1-16.


Note You need to log in before you can comment on or make changes to this bug.